Loading...
Searching...
No Matches
gtsam::so3::DexpFunctor Class Reference

## Detailed Description

Functor that implements Exponential map and its derivatives.

Inheritance diagram for gtsam::so3::DexpFunctor:

## Public Member Functions

GTSAM_EXPORT | DexpFunctor (const Vector3 &omega, bool nearZeroApprox=false)
| Constructor with element of Lie algebra so(3).
const Matrix3 & | dexp () const
GTSAM_EXPORT Vector3 | applyDexp (const Vector3 &v, OptionalJacobian< 3, 3 > H1=boost::none, OptionalJacobian< 3, 3 > H2=boost::none) const
| Multiplies with dexp(), with optional derivatives.
GTSAM_EXPORT Vector3 | applyInvDexp (const Vector3 &v, OptionalJacobian< 3, 3 > H1=boost::none, OptionalJacobian< 3, 3 > H2=boost::none) const
| Multiplies with dexp().inverse(), with optional derivatives.
Public Member Functions inherited from gtsam::so3::ExpmapFunctor
| ExpmapFunctor (const Vector3 &omega, bool nearZeroApprox=false)
| Constructor with element of Lie algebra so(3).
| ExpmapFunctor (const Vector3 &axis, double angle, bool nearZeroApprox=false)
| Constructor with axis-angle.
SO3 | expmap () const
| Rodrigues formula.

## Additional Inherited Members

Protected Member Functions inherited from gtsam::so3::ExpmapFunctor
void | init (bool nearZeroApprox=false)
Protected Attributes inherited from gtsam::so3::ExpmapFunctor
const double | theta2
Matrix3 | W
Matrix3 | K
Matrix3 | KK
bool | nearZero
double | theta
double | sin_theta
double | one_minus_cos

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/SO3.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/SO3.cpp